Bug 820141 - RFE: add systemtap/dtrace trace points
RFE: add systemtap/dtrace trace points
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-server (Show other bugs)
6.3
All All
unspecified Severity low
: rc
: ---
Assigned To: David Blechter
Desktop QE
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 05:25 EDT by Alon Levy
Modified: 2014-10-17 09:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-17 09:19:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alon Levy 2012-05-09 05:25:15 EDT
Description of problem:
Systemtap is the across platform tracing and profiling solution, used to diagnose problems at customer sites. Adding spice-server support will enable diagnosis at customer site without installing development tools, collecting statistics, and diagnosing both qemu-kvm and spice-server with the same script. This would also be very helpful for profiling/benchmarking.
Comment 2 RHEL Product and Program Management 2012-05-13 00:05:25 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Marc-Andre Lureau 2014-03-21 08:01:37 EDT
Alon, it's ~2y later now. If nobody is really looking into making this happen, I think this bug should be moved upstream rather than in RHEL.
Comment 4 Alon Levy 2014-03-23 09:32:24 EDT
I don't mind if you do, I don't see how it helps except in "cleaning up" here, but that's a good enough reason.
Comment 8 Marc-Andre Lureau 2014-10-17 09:19:56 EDT
moved upstream: https://bugs.freedesktop.org/show_bug.cgi?id=85135

Note You need to log in before you can comment on or make changes to this bug.